Open CASCADE Technology: ShapeAlgo_AlgoContainer Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeAlgo_AlgoContainer Class Reference

`#include <ShapeAlgo_AlgoContainer.hxx>`

Inheritance diagram for ShapeAlgo_AlgoContainer:
[legend]

## Public Member Functions
| ShapeAlgo_AlgoContainer ()
| Empty constructor. More...
void | SetToolContainer (const Handle< ShapeAlgo_ToolContainer > &TC)
| Sets ToolContainer. More...
Handle< ShapeAlgo_ToolContainer > | ToolContainer () const
| Returns ToolContainer. More...
virtual Standard_Boolean | ConnectNextWire (const Handle< ShapeAnalysis_Wire > &saw, const Handle< ShapeExtend_WireData > &nextsewd, const Standard_Real maxtol, Standard_Real &distmin, Standard_Boolean &revsewd, Standard_Boolean &revnextsewd) const
| Finds the best way to connect and connects <nextsewd> to already built <sewd> (in <saw>). Returns False if <nextsewd> cannot be connected, otherwise - True. <maxtol> specifies the maximum tolerance with which <nextsewd> can be added. <distmin> is used to receive the minimum distance between <nextsewd> and <sewd>. <revsewd> is True if <sewd> has been reversed before connecting. <revnextwd> is True if <nextsewd> has been reversed before connecting. Uses functionality of ShapeAnalysis_Wire. More...
virtual void | ApproxBSplineCurve (const Handle< Geom_BSplineCurve > &bspline, TColGeom_SequenceOfCurve &seq) const
virtual void | ApproxBSplineCurve (const Handle< Geom2d_BSplineCurve > &bspline, TColGeom2d_SequenceOfCurve &seq) const
virtual Standard_Boolean | C0BSplineToSequenceOfC1BSplineCurve (const Handle< Geom_BSplineCurve > &BS, Handle< TColGeom_HSequenceOfBoundedCurve > &seqBS) const
virtual Standard_Boolean | C0BSplineToSequenceOfC1BSplineCurve (const Handle< Geom2d_BSplineCurve > &BS, Handle< TColGeom2d_HSequenceOfBoundedCurve > &seqBS) const
| Converts C0 B-Spline curve into sequence of C1 B-Spline curves. Calls ShapeUpgrade::C0BSplineToSequenceOfC1BSplineCurve. More...
virtual TopoDS_Shape | C0ShapeToC1Shape (const TopoDS_Shape &shape, const Standard_Real tol) const
| Converts a shape on C0 geometry into the shape on C1 geometry. More...
virtual Handle < Geom_BSplineSurface > | ConvertSurfaceToBSpline (const Handle< Geom_Surface > &surf, const Standard_Real UF, const Standard_Real UL, const Standard_Real VF, const Standard_Real VL) const
| Converts a surface to B-Spline. Uses ShapeConstruct. More...
virtual Standard_Boolean | HomoWires (const TopoDS_Wire &wireIn1, const TopoDS_Wire &wireIn2, TopoDS_Wire &wireOut1, TopoDS_Wire &wireOut2, const Standard_Boolean byParam) const
| Return 2 wires with the same number of edges. The both Edges number i of these wires have got the same ratio between theirs parameter lengths and their wire parameter lengths. More...
virtual TopoDS_Wire | OuterWire (const TopoDS_Face &face) const
| Returns the outer wire on the face <Face>. More...
virtual Handle< Geom_Surface > | ConvertToPeriodic (const Handle< Geom_Surface > &surf) const
| Converts surface to periodic form. Calls ShapeCustom_Surface. More...
virtual void | GetFaceUVBounds (const TopoDS_Face &F, Standard_Real &Umin, Standard_Real &Umax, Standard_Real &Vmin, Standard_Real &Vmax) const
| Computes exact UV bounds of all wires on the face. More...
virtual Handle< Geom_BSplineCurve > | ConvertCurveToBSpline (const Handle< Geom_Curve > &C3D, const Standard_Real First, const Standard_Real Last, const Standard_Real Tol3d, const GeomAbs_Shape Continuity, const Standard_Integer MaxSegments, const Standard_Integer MaxDegree) const
| Convert Geom_Curve to Geom_BSplineCurve. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

ShapeAlgo_AlgoContainer::ShapeAlgo_AlgoContainer | ( |  | ) |

Empty constructor.

## Member Function Documentation

virtual void ShapeAlgo_AlgoContainer::ApproxBSplineCurve | ( | const Handle< Geom_BSplineCurve > & | bspline,
|  | TColGeom_SequenceOfCurve & | seq
| ) |  | const
| virtual

virtual void ShapeAlgo_AlgoContainer::ApproxBSplineCurve | ( | const Handle< Geom2d_BSplineCurve > & | bspline,
|  | TColGeom2d_SequenceOfCurve & | seq
| ) |  | const
| virtual

virtual Standard_Boolean ShapeAlgo_AlgoContainer::C0BSplineToSequenceOfC1BSplineCurve | ( | const Handle< Geom_BSplineCurve > & | BS,
|  | Handle< TColGeom_HSequenceOfBoundedCurve > & | seqBS
| ) |  | const
| virtual

virtual Standard_Boolean ShapeAlgo_AlgoContainer::C0BSplineToSequenceOfC1BSplineCurve | ( | const Handle< Geom2d_BSplineCurve > & | BS,
|  | Handle< TColGeom2d_HSequenceOfBoundedCurve > & | seqBS
| ) |  | const
| virtual

Converts C0 B-Spline curve into sequence of C1 B-Spline curves. Calls ShapeUpgrade::C0BSplineToSequenceOfC1BSplineCurve.

virtual TopoDS_Shape ShapeAlgo_AlgoContainer::C0ShapeToC1Shape | ( | const TopoDS_Shape & | shape,
|  | const Standard_Real | tol
| ) |  | const
| virtual

Converts a shape on C0 geometry into the shape on C1 geometry.

virtual Standard_Boolean ShapeAlgo_AlgoContainer::ConnectNextWire | ( | const Handle< ShapeAnalysis_Wire > & | saw,
|  | const Handle< ShapeExtend_WireData > & | nextsewd,
|  | const Standard_Real | maxtol,
|  | Standard_Real & | distmin,
|  | Standard_Boolean & | revsewd,
|  | Standard_Boolean & | revnextsewd
| ) |  | const
| virtual

Finds the best way to connect and connects <nextsewd> to already built <sewd> (in <saw>). Returns False if <nextsewd> cannot be connected, otherwise - True. <maxtol> specifies the maximum tolerance with which <nextsewd> can be added. <distmin> is used to receive the minimum distance between <nextsewd> and <sewd>. <revsewd> is True if <sewd> has been reversed before connecting. <revnextwd> is True if <nextsewd> has been reversed before connecting. Uses functionality of ShapeAnalysis_Wire.

virtual Handle< Geom_BSplineCurve > ShapeAlgo_AlgoContainer::ConvertCurveToBSpline | ( | const Handle< Geom_Curve > & | C3D,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Real | Tol3d,
|  | const GeomAbs_Shape | Continuity,
|  | const Standard_Integer | MaxSegments,
|  | const Standard_Integer | MaxDegree
| ) |  | const
| virtual

Convert Geom_Curve to Geom_BSplineCurve.

virtual Handle< Geom_BSplineSurface > ShapeAlgo_AlgoContainer::ConvertSurfaceToBSpline | ( | const Handle< Geom_Surface > & | surf,
|  | const Standard_Real | UF,
|  | const Standard_Real | UL,
|  | const Standard_Real | VF,
|  | const Standard_Real | VL
| ) |  | const
| virtual

Converts a surface to B-Spline. Uses ShapeConstruct.

virtual Handle< Geom_Surface > ShapeAlgo_AlgoContainer::ConvertToPeriodic | ( | const Handle< Geom_Surface > & | surf | ) | const
| virtual

Converts surface to periodic form. Calls ShapeCustom_Surface.

virtual void ShapeAlgo_AlgoContainer::GetFaceUVBounds | ( | const TopoDS_Face & | F,
|  | Standard_Real & | Umin,
|  | Standard_Real & | Umax,
|  | Standard_Real & | Vmin,
|  | Standard_Real & | Vmax
| ) |  | const
| virtual

Computes exact UV bounds of all wires on the face.

virtual Standard_Boolean ShapeAlgo_AlgoContainer::HomoWires | ( | const TopoDS_Wire & | wireIn1,
|  | const TopoDS_Wire & | wireIn2,
|  | TopoDS_Wire & | wireOut1,
|  | TopoDS_Wire & | wireOut2,
|  | const Standard_Boolean | byParam
| ) |  | const
| virtual

Return 2 wires with the same number of edges. The both Edges number i of these wires have got the same ratio between theirs parameter lengths and their wire parameter lengths.

virtual TopoDS_Wire ShapeAlgo_AlgoContainer::OuterWire | ( | const TopoDS_Face & | face | ) | const
| virtual

Returns the outer wire on the face <Face>.

void ShapeAlgo_AlgoContainer::SetToolContainer | ( | const Handle< ShapeAlgo_ToolContainer > & | TC | ) |

Sets ToolContainer.

Handle< ShapeAlgo_ToolContainer > ShapeAlgo_AlgoContainer::ToolContainer | ( |  | ) | const

Returns ToolContainer.

The documentation for this class was generated from the following file:

- ShapeAlgo_AlgoContainer.hxx